# POST /higgsfield/speech

**Method**: `POST`
**Endpoint**: `/higgsfield/speech`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
Optional
One of:
object
object
avatar_preset_id
string
Required
  // provider-specific example normalized for English documentation
prompt
string
Prompt
Required
width
integer
  // provider-specific example normalized for English documentation
Required
height
integer
  // provider-specific example normalized for English documentation
Required
image
array
[string]
Required
  // provider-specific example normalized for English documentation
audio
string
Required
  // provider-specific example normalized for English documentation
speak
object
Optional
  // provider-specific example normalized for English documentation
Example
{
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/higgsfield/speech' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Optional
Task ID, used for subsequent status queries
```

#### Example

```json
{
    "id": "aca6c73e-aa4c-47bb-aa62-a100a0f7dd22"
}
```
